# The Most Popular Product Slider for Magento 2

## How does it work?

When you enable **[Magento 2 Product Slider](https://www.mageplaza.com/magento-2-product-slider-extension/)** module and create the product sliders in the configuration, lists of your products will slide out in the lively and attractive way on the storefront with the animation effects you have chosen before. Along with product image, your clients can also see the price information, rating for the product and even Add to Cart button to proceed to the checkout whenever they need.

[![Latest Stable Version](https://poser.pugx.org/mageplaza/magento-2-product-slider/v/stable)](https://packagist.org/packages/mageplaza/magento-2-product-slider)
[![Total Downloads](https://poser.pugx.org/mageplaza/magento-2-product-slider/downloads)](https://packagist.org/packages/mageplaza/magento-2-product-slider)

**IMPORTANT NOTE:** This version of Mageplaza Product Slider extension on Github is free as a contribution to the Magento community from Mageplaza. This package does not include the technical support. Should you need technical support for this extension, you will have to buy a license from Mageplaza. [Click here to buy](https://www.mageplaza.com/magento-2-product-slider-extension/).

![magento 2 product slider](https://www.mageplaza.com/assets/img/extensions-images/magento-2-product-slider/product-slider-effect.gif)

## Highlight Features

- Responsive sliders
- Supports:
	- Featured products
	- New Products
	- Most views
	- On-sale
	- Bestseller
	- Recent viewed
	- Wishlist
	- Category ID
- Insert product slider anywhere on your store
- Casual OWL slider options


## Product Slider Documentations

- [Installation guide](https://www.mageplaza.com/install-magento-2-extension/)
- [User Guide](https://docs.mageplaza.com/product-slider-m2/)
- [Introduction page](https://www.mageplaza.com/magento-2-product-slider-extension/)
- [FAQs](https://www.mageplaza.com/faqs/)
- [Contribute on Github](https://github.com/mageplaza/magento-2-product-slider/)
- Get premium support from Mageplaza: [Purchase Support package](https://www.mageplaza.com/magento-2-extension-support-package/)
- [Changelog](https://github.com/mageplaza/magento-2-product-slider/releases)
- [License](https://www.mageplaza.com/LICENSE.txt)

## How to install Magento 2 Product Slider

### 1. Install via composer (recommend)

With Marketing Automation (recommend):

```
composer require mageplaza/magento-2-product-slider mageplaza/module-smtp
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

Without Marketing Automation:

```
composer require mageplaza/magento-2-product-slider
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### 2. Install Package from copy-paste package


Download latest version at [Mageplaza](https://www.mageplaza.com/magento-2-product-slider-extension/)

Magento 2 Product Slider module allows showing all suggested products friendly that match to customer’s expectation.

- Support: Featured, On Sale, New Products, Category ID Products
- Responsive slider
- Casual OWL slider options (all options)
- Insert product slider anywhere on your store
- Easy to install and setup

Supporting the following Product slider types:

- On Sale Products Slider
- New Products Slider
- Most Viewed Products Slider
- Featured Products Slider




## Supports multiple slider types

Product Slider Magento 2 extension supports a drop-down list of slider types:

- On Sale Products Slider
- New Products Slider
- Most Viewed Products Slider
- Featured Products Slider

## Fully responsive design

![magento 2 responsive product slider](https://www.mageplaza.com/assets/img/extensions-images/magento-2-product-slider/responsive.jpg)

With Product Slider for Magento 2, the slider display is free to custom how to be friendly with any touch devices like iPhone and iPad. You can set the breakpoint, the large, medium and small display to design the best performance.


## Insert Product Slider anywhere

Not only can you create unlimited sliders but Product Slider module also allows placing the sliders like content or sidebar additional at the top or bottom of any page on your website flexibly. The options you can put the sliders are:

- Home Page
- Category Page
- Product Page
- Cart Page
- Checkout Page
- Customer Page


## Custom product slider

Along with the performance of the slider, you can make individual product elements visible like name, price, rating, add to cart button, wishlist and compare links, etc. With a full of product information, it is easy to have a perfect look as well as create a new purchase quickly. If not, let hide them.


## Full feature list of Product Slider

- Display Featured Products
- Display New Products
- Display Bestsellers Products
- Display On sale Products
- Display Most viewed Products (coming soon)
- Create unlimited product slider
- Fully responsive slider
- Insert anywhere
- Insert easily: XMl, phtml file or widget
- Display products in a default basic grid
- Slider effects
- Pick product manually
- Effective configuration
- Setting in each slider
- Easy to install and setup
- Touch swipe for mobile devices
- Insert to CMS Pages, CMS Static or Homepage
- Display in Sidebar
- Support all browsers: Firefox, Chrome, IE, Safari Opera.

## Other features

- Display Featured Products
- Open source 100%.
- Easy to install and configure.
- User-friendly interface.
- Fully compatible with Mageplaza extensions
- Supports multiple stores.
- Supports multiple languages.

**Peoples also search:**
- magento 2 featured products
- product slider magento 2
- featured products magento 2
- magento 2 product carousel
- magento 2 best seller products
- magento 2 featured products on homepage
- best seller products magento 2 extension
- magento 2 best seller widget
- magento 2 most popular products
- magento 2 most viewed products collection
- magento 2 recently viewed products
- recently viewed products magento 2
- magento-2 product slider code
- magento 2 get best seller product collection
- magento 2 get recently viewed products collection

**Other Mageplaza extensions on Github & Marketplace**
- [Magento 2 SEO extension on Github](https://github.com/mageplaza/magento-2-seo)
- [Magento 2 GDPR extension on Github](https://github.com/mageplaza/magento-2-gdpr)
- [Magento 2 Popup extension on Github](https://github.com/mageplaza/magento-2-better-popup)
- [Magento 2 Reports extension on Github](https://github.com/mageplaza/magento-2-reports)
- [Magento 2 Social Login on Github](https://github.com/mageplaza/magento-2-social-login)
- [Magento 2 Blog on Github](https://github.com/mageplaza/magento-2-blog)
- [Magento 2 Ajax Layered Navigation](https://github.com/mageplaza/magento-2-ajax-layered-navigation)
- [Magento 2 Security extension on Github](https://github.com/mageplaza/magento-2-security)
- [Magento 2 One Step Checkout extension](https://marketplace.magento.com/mageplaza-magento-2-one-step-checkout-extension.html)
- [Magento 2 SEO extension](https://marketplace.magento.com/mageplaza-magento-2-seo-extension.html)
- [Magento 2 Reward Points](https://marketplace.magento.com/mageplaza-module-reward-points.html)
- [Magento 2 Blog extension](https://marketplace.magento.com/mageplaza-magento-2-blog-extension.html)
- [Magento 2 Layered Navigation](https://marketplace.magento.com/mageplaza-layered-navigation-m2.html)

